githubEdit

Notification center endpoints

Network-level configurations

Get notification config

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

The notification center configuration was successfully returned.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
get
/api/configurations/notifications

Update notification config

put

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Update the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
Responses
chevron-right
200

Notification center configuration was successfully updated.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
put
/api/configurations/notifications

Call notification action

post

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Executes an action to manipulate the notification center configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
Responses
chevron-right
200

Notification center configuration action was successfully executed.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
post
/api/configurations/notifications/actions

Delete notification channel

delete

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Delete the notification channel.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
channelIdstringRequired
Query parameters
versionnumberRequired
Responses
chevron-right
200

Notification center config channel was successfully deleted.

No content

delete
/api/configurations/notifications/channels/{channelId}

No content

Facility-level configurations

Get facility notification config

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Responses
chevron-right
200

The notification center facility configuration was successfully returned.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
get
/api/facilities/{facilityRef}/configurations/notifications

Call facility notification action

post

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Executes an action to manipulate the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Body
or
Responses
chevron-right
200

Notification center facility configuration action was successfully executed.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
post
/api/facilities/{facilityRef}/configurations/notifications/actions

Update facility notification config

put

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Update the notification center facility configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
Body
or
Responses
chevron-right
200

Notification center facility configuration was successfully updated.

application/json

NotificationCenterConfig

createdstring · date-timeRequired
lastModifiedstring · date-timeRequired
versionnumberRequired
put
/api/facilities/{facilityRef}/configurations/notifications

Delete facility notification channel

delete

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Delete the notification facility channel.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityRefstringRequired
channelIdstringRequired
Query parameters
versionnumberRequired
Responses
chevron-right
200

Notification center facility config channel was successfully deleted.

No content

delete
/api/facilities/{facilityRef}/configurations/notifications/channels/{channelId}

No content

Last updated